Bug 215637 - perl(Test::Base) not a buildrequires of perl-YAML
Summary: perl(Test::Base) not a buildrequires of perl-YAML
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Test-Base (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Steven Pritchard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: perl_5.10
TreeView+ depends on / blocked
 
Reported: 2006-11-14 23:00 UTC by Chris Weyl
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-27 15:13:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Weyl 2006-11-14 23:00:25 UTC
perl-YAML lists perl(Test::Base) as a buildrequires, yet the source tarball
contains an embedded version of perl(Test::Base).

Can we drop perl(Test::Base) as a br? :)

Comment 1 Chris Weyl 2007-03-13 20:55:51 UTC
This is actually slightly more important than I thought.  When trying to rebuild
a number of packages:

perl-YAML buildrequires perl(Test::Base) [perl-Test-Base], which 
requires perl(Module::Install::Base) [perl-Module-Install], which 
requires.... perl(YAML).

Dropping the br of perl(Test::Base) from this package breaks this loop.

Comment 2 Steven Pritchard 2007-03-13 21:18:07 UTC
The latest Module::Install uses YAML::Tiny instead of YAML.  I'll upgrade to 
that once bug 232036 gets a review.

And if you're trying to get all this to build on RHEL, I've recently had all 
my packages branched for EPEL, so if you're patient, I'll take care of 
it.  :-)

Comment 3 Steven Pritchard 2007-03-13 21:24:57 UTC
Oh, wait, I just realized that I have YAML::Tiny BR YAML and YAML::Syck for 
some of the tests.

OK, you talked me into it.  :-)

Comment 4 Chris Weyl 2007-03-13 21:44:56 UTC
Yay!

And, um openSuSE ;)  (It's a !personal project.  And a little messy.  But
surprisingly easy with a few plague tweaks...)

Comment 5 Steven Pritchard 2007-03-13 21:59:16 UTC
All of a sudden today BuildRequires: perl(ExtUtils::MakeMaker) isn't enough to 
get modules to build on devel, so I'm going to wait and try building again 
tomorrow.

In the mean time, feel free to test what is in the devel branch.  If it works 
OK, I'll push it to all current branches.

Comment 6 Chris Weyl 2007-03-13 22:21:29 UTC
(In reply to comment #5)
> All of a sudden today BuildRequires: perl(ExtUtils::MakeMaker) isn't enough to 
> get modules to build on devel, so I'm going to wait and try building again 
> tomorrow.

Ugh.

> In the mean time, feel free to test what is in the devel branch.  If it works 
> OK, I'll push it to all current branches.

Looks good over here.  (Checked on FC-6 as well.)

I don't actually need it built, just pushed to at least FC-6 and tagged, so
that's perfect by me :)

Comment 7 Steven Pritchard 2007-11-27 15:13:06 UTC
Oops, this one was fixed in devel some time back.


Note You need to log in before you can comment on or make changes to this bug.